### Method

# FwupdPlugin Device register_private_flag

#### Declaration [src]

    void
    fu_device_register_private_flag (
      FuDevice* self,
      const gchar* flag
    )

#### Description [src]

Registers a private device flag so that it can be set from quirk files and printed correctly in debug output.

Available since: | 2.0.0

#### Parameters

`flag` | `const gchar*`
| A string.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.